System.Data.SQLite
Ticket Change Details
Not logged in
Overview

Artifact ID: 425f5fb99897818eb4d8223b1940d968c19969a2
Ticket: ce75d320d0a31dabfec48df265e611d0fc235a30
netstandard2.1 target for SQLite.EF6 (targetting EF6.3 preview)
User & Date: anonymous 2019-08-01 15:37:55
Changes

  1. Change foundin to "1.0.111"
  2. Change icomment to:

    The release of netcore 3.0 is getting closer and EF 6.3 already has been migrated for the most important parts to target netstandard2.1.

    Using preview6 and preview 7 of netcore 3.0 I already successfully used LINQPad 6 (notcore-version) and also changed some unit tests of my app to multi-target net48 and netcoreapp3.0 and everything looks fine so far -- despite the (ignorable) warning:

    warning NU1701: Package 'System.Data.SQLite.EF6 1.0.111' was restored using '.NETFramework,Version=v4.6.1, .NETFramework,Version=v4.6.2, .NETFramework,Version=v4.7, .NETFramework,Version=v4.7.1, .NETFramework,Version=v4.7.2, .NETFramework,Version=v4.8' instead of the project target framework '.NETCoreApp,Version=v3.0'. This package may not be fully compatible with your project.

    It would be great if there was a NuGet package referencing the newest EF 6.3-preview bits, maybe "System.Data.SQLite.EF6.preview" -- or something using SemVer in the existing package.

  3. Change login to "anonymous"
  4. Change mimetype to "text/x-fossil-plain"
  5. Change private_contact to "225f7aee0033823e558ec242ca603f491b690521"
  6. Change severity to "Important"
  7. Change status to "Open"
  8. Change title to:

    netstandard2.1 target for SQLite.EF6 (targetting EF6.3 preview)

  9. Change type to "Feature_Request"